#!/bin/bash


VERSION=1.4.2


DIR=/opt/gitea
ARCH=linux-amd64
#darwin-10.6.386 darwin-10.6-amd64 linux-386 linux-arm-5,6,7,arm64,mips,mips64,mips64le


if [ -f $DIR/bin/gitea-$VERSION-$ARCH ]; then

    echo "Latest version is already downloaded!"

else

    echo "Downloading the newest version..."
    wget -N https://dl.gitea.io/gitea/$VERSION/gitea-$VERSION-$ARCH -P $DIR/bin/

    echo "Creating symlinks..."
    ln -sfv $DIR/bin/gitea-$VERSION-$ARCH $DIR/gitea

    echo "Fixing permissions..."
    chmod -v +x $DIR/bin/gitea-$VERSION-$ARCH

    echo "Restarting service..."
    service gitea restart



fi

service gitea status

